Skip to main content
PATCH
Update Domain

Authorizations

Authorization
string
header
required

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

Path Parameters

account_id
string<uuid>
required
domain
string
required

Body

application/json

Schema for updating customer-facing domain configuration.

auto_renew
boolean | null
redirect_mode
enum<string> | null

Redirect mode to use when creating or updating a redirect

Available options:
301,
302,
iframe
redirect_url
string | null

HTTPS redirect URL, or null to clear

workspace_id
string<uuid4> | null

Response

auto_renew
boolean
required
id
string<uuid4>
required
workspace_id
string<uuid4>
required
redirect_mode
enum<string> | null
Available options:
301,
302,
iframe
redirect_url
string | null